Package: groovy.beans

## [Java] Class DefaultPropertyReader

- groovy.beans.DefaultPropertyReader

- All Implemented Interfaces and Traits:
    PropertyReader

      public class DefaultPropertyReader
      extends Object

  Authors:
    Andres Almiray

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static PropertyReader` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `read(Object owner, String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final PropertyReader INSTANCE

  - ### Method Detail

    - #### public Object read(Object owner, String propertyName)